Bug 14938 - amanda: mildly dubious binary permissions
Summary: amanda: mildly dubious binary permissions
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: amanda   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-31 23:45 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-31 23:45:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Evans 2000-07-31 23:45:08 UTC
In BETA5, here is the output of "find . -perm -4000 | xargs ls -l"
in /usr/lib/amanda
.
-rwsr-x---    1 root     disk        11087 Jul 18 21:56 ./calcsize
-rwsr-x---    1 root     root        30518 Jul 18 21:56 ./dumper
-rwsr-x---    1 root     disk         8411 Jul 18 21:56 ./killpgrp
-rwsr-x---    1 root     root        30649 Jul 18 21:56 ./planner
-rwsr-x---    1 root     disk         6172 Jul 18 21:56 ./rundump
-rwsr-x---    1 root     disk         7488 Jul 18 21:56 ./runtar

I am completely guessing, but shouldn't "dumper" and "planner" be group
disk too?

We've had a couple of gid==0 leaks in the past. We don't really want such a
leak to give access to more suid-root binaries.
Note that if you have group disk, you gain nothing by having access to a
few suid-root executables. If you have group disk, you can modify arbitrary
block devices anyway.

Comment 1 Bill Nottingham 2000-08-01 16:34:54 UTC
Fixed in the -17 package.


Note You need to log in before you can comment on or make changes to this bug.